package com.zhiwei.manage.dao;

import java.util.List;

import org.springframework.stereotype.Component;

import com.zhiwei.manage.bean.Template;

/**
 * 模板信息获取
 * 
 * @author admin
 *
 */
@Component
public interface TemplateDao {
	/**
	 * 插入
	 * 
	 * @param template
	 * @return
	 */
	public boolean insert(Template template);

	/**
	 * 更新
	 * 
	 * @param template
	 * @return
	 */
	public boolean update(Template template);

	/**
	 * 分页获取所有的模板
	 * 
	 * @param pageNo
	 * @param pageSize
	 * @param pt
	 * @return
	 */
	public List<Template> findAll(int pageNo, int pageSize, String pt);

	/**
	 * 获取所有的模板
	 * 
	 * @return
	 */
	public List<Template> findAll();

	/**
	 * 根据的模板id获取
	 * 
	 * @param templateId
	 * @param pt
	 * @return
	 */
	public Template findById(String templateId, String pt);

	/**
	 * 分页获取模板信息
	 * 
	 * @param templateName
	 * @param pageNo
	 * @param pageSize
	 * @param pt
	 * @return
	 */
	public List<Template> findByTmpName(String templateName, int pageNo, int pageSize, String pt);

	/**
	 * 删除模板信息
	 * 
	 * @param templateId
	 * @param pt
	 * @return
	 */
	public boolean delete(String templateId, String pt);

	/**
	 * 根据pt获取所有的条数
	 * 
	 * @param pt
	 * @return
	 */
	public int allCount(String pt);

	/**
	 * 根据模板名获取数据条数
	 * 
	 * @param templateName
	 * @param pt
	 * @return
	 */
	public int findByUserCount(String templateName, String pt);

}
